GET
/v1/inventory/alert-rules/{id}GET /v1/inventory/alert-rules/{id}
Scopes: inventory:alert_rules:read
Requires scope: inventory:alert_rules:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int32> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int32> | no | |
name | string | no | |
is_advanced | boolean | no | |
is_global | boolean | no | |
is_non_processable | boolean | no | |
warning_threshold | integer<int32> | no | |
critical_threshold | integer<int32> | no | |
parameters | AlertRuleParameters | no | |
sales_period | AlertRuleSeasonalFactor[] | no | |
supply_period | AlertRuleSeasonalFactor[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/inventory/alert-rules/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);